Atualizar o gateway de internet
curl --request PATCH \
--url https://network.{region}.basaltic.sh/v1/internet-gateways/{internet_gateway_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Internet gateway for the production VPC",
"tags": {}
}
'import requests
url = "https://network.{region}.basaltic.sh/v1/internet-gateways/{internet_gateway_id}"
payload = {
"description": "Internet gateway for the production VPC",
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Internet gateway for the production VPC', tags: {}})
};
fetch('https://network.{region}.basaltic.sh/v1/internet-gateways/{internet_gateway_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"internet_gateway": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:internet-gateway/main",
"name": "main",
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "Internet gateway for the production VPC",
"attached_vpc_id": "5f8d3a2e-1c4b-4e7a-9f6d-2b1a8c3e5d7f"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Gateways de internet
Atualizar o gateway de internet
Atualize a descrição / tags. O nome é imutável.
PATCH
/
v1
/
internet-gateways
/
{internet_gateway_id}
Atualizar o gateway de internet
Requer a ação do IAM
network:UpdateInternetGateway. Consulte permissões de redes para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
Internet Gateway ID
Corpo
application/json
Resposta
Gateway de Internet atualizado
Show child attributes
Show child attributes

